Mailinglist Archive: opensuse-buildservice (162 mails)

< Previous Next >
Re: [opensuse-buildservice] Dependency resolution prefers package names rather than "provides"?
  • From: Cristian Morales Vega <cmorve69@xxxxxxxx>
  • Date: Mon, 16 Jan 2012 12:03:38 +0000
  • Message-id: <CAOWQn3Rt9CWodq1H-zzbC8Pg_qGpySpovsY=XCDp+iX69O=XSw@mail.gmail.com>
On 16 January 2012 11:23, Michael Schroeder <mls@xxxxxxx> wrote:
On Sun, Jan 15, 2012 at 11:31:25AM +0000, Cristian Morales Vega wrote:
With the OBS down I can't give any example now. But if there is
packageA-devel in openSUSE:12.1 and in the devel project it is renamed
to stillpackageA-devel, the other packages in that devel project that
require "packageA-devel" seem to prefer packageA-devel to
stillpackageA-devel. stillpackageA-devel provides "packageA-devel =
<new_version>" and obsoletes "packageA-devel < <new_version>". Is this
expected?

No, you should get an "unresolvabe error".
But "BuildRequires" indeed prefer the exact name. Maybe that's the
issue in your case.

Yes, sorry, I meant BuildRequires.
What's the logic behind that behaviour?
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups